import BarOptions from './BarOptions';
/**
 * Implementation of the 'line' markup element.
 */
export declare class Bar {
    private options;
    constructor(options?: BarOptions);
    /**
     * @inheritDoc
     */
    render(): HTMLElement;
    init(element: HTMLElement): void;
    private xBand;
    private yBand;
    private xAxis;
    private yAxis;
}
